local AddonName, a = ...
local L = a.Localize
local s = SpellFlashAddon
local c = BittensSpellFlashLibrary2

a.Rotations = {}
s.Spam[AddonName] = function()
    c.Flash(AddonName, a)
end

a.Rotations.Arms = {
    Spec = 1,
    OffSwitch = "arms_off",
    
    FlashInCombat = function()
        a.FlashAll(
            "Enraged Regeneration below 48",
            "Deadly Calm", 
            --"Inner Rage",
            "Berserker Rage without Deadly Calm",
            "Berserking without Deadly Calm",
            "Heroic Strike on Battle Trance", 
            "Heroic Strike on Deadly Calm",
            "Heroic Strike over 65",
            "Pummel")
        a.Flash(
            "Rend",
            "Dance to Berserker Stance",
            "Mortal Strike",
            "Colossus Smash",
            "Dance to Battle Stance",
            "Overpower",
            "Execute",
            "Slam",
            "Battle Shout for Rage",
            "Commanding Shout for Rage")
    end,
    
    FlashOutOfCombat = function()
        a.Flash("Battle Stance", "Battle Shout", "Commanding Shout")
    end,
}

a.Rotations.Fury = {
    Spec = 2,
    OffSwitch = "fury_off",
    
    FlashInCombat = function()
        a.FlashAll(
            "Enraged Regeneration below 48",
            "Heroic Strike on Battle Trance",
            "Heroic Strike over 65",
            "Berserker Rage for Rage Effect",
            "Death Wish",
            "Berserking",
            "Pummel")
        a.Flash(
            "Colossus Smash",
            "Execute for Buff",
            "Raging Blow",
            "Instant Slam",
            "Bloodthirst",
            "Heroic Throw",
            "Victory Rush",
            "Execute",
            "Battle Shout for Rage",
            "Commanding Shout for Rage")
    end,
    
    FlashOutOfCombat = function()
        a.FlashAll("Battle Shout", "Commanding Shout")
    end,
    
    FlashAlways = function()
        a.Flash("Berserker Stance")
    end,
}

a.Rotations.Protection = {
    Spec = 3,
    OffSwitch = "prot_off",
    
    FlashInCombat = function()
        c.RotateCooldowns(
            {   109774, -- Master Tactician LFR
                107986, -- Master Tactician
                109776, -- Master Tactician Heroic
                74243, -- Windwalk
                102667, -- Veil of Lies
            },
            "Shield Block",
            "Fire of the Deep",
            "Shield Wall",
            "Enraged Regeneration")
        a.FlashAll(
            "Last Stand",
            "Berserker Rage",
            "Heroic Strike over 65", 
            "Pummel")
        flashed = a.Flash(
            "Thunder Clap for Debuff",
            "Demoralizing Shout",
            "Thunder Clap for Rend",
            "Shield Slam",
            "Revenge",
            "Shockwave",
            "Rend",
            "Devastate",
            "Commanding Shout for Rage",
            "Battle Shout for Rage")
        -- if flashed == "Shield Slam" then
            -- c.flash("Shield Block", "yellow")
        -- end
    end,
    
    FlashOutOfCombat = function()
        a.FlashAll("Battle Shout", "Commanding Shout")
    end,
    
    FlashAlways = function()
        a.Flash("Defensive Stance")
    end,
}
